--- title: "Get QoS Policies in a Domain" slug: "get-qos-policies-in-a-domain-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-qos-policies-in-a-domain-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get QoS Policies in a Domain This URL gets the list of QoS policies defined in a particular domain. **Resource URL** GET /domain//qospolicy **Request Parameters** URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domain_id` | Domain id | Number | Yes | **Response Parameters** Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `QoSPoliciesForDomainResponseList` | List of QoS policies defined in the domain | Array | Details of object in QoSPoliciesForDomainResponseList: | Field Name | Description | Data Type | | --- | --- | --- | | `policyName` | Name of the QoS policy | String | | `visibleToChild` | Is policy visible to child domains | Boolean | | `description` | Policy description | String | | `isEditable` | Is policy editable | Number | | `lastModUser` | Last user that modified the policy | String | | `policyType` | Policy type, can be "ADVANCED" or "CLASSIC" | String | | `policyId` | QoS policy unique id | Number | | `domainId` | Domain id | Number | | `policyVersion` | Policy version | Number | **Example** **Request** GET [https:///sdkapi/domain/0/qospolicy](https://<NSM_IP>/sdkapi/domain/0/qospolicy) **Response** ```    {       "QoSPoliciesForDomain":       [           {               "policyName": "TestQosPolicy",               "visibleToChild": true,               "isEditable": true,               "description": "To test the QOSPolicy",               "lastModUser": "admin",               "policyType": "ADVANCED",               "policyId": 179,               "domainId": 0,               "policyVersion": 1           },           {               "policyName": "QosPolicy",               "visibleToChild": true,               "isEditable": true,               "description": "To test the QOSPolicy",               "lastModUser": "admin",               "policyType": "ADVANCED",               "policyId": 175,               "domainId": 0,               "policyVersion": 1           }       ]    } ``` **Error Information** Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |